Notice: In order to edit this ticket you need to be either: a Product Owner, The owner or the reporter of the ticket, or, in case of a Task not yet assigned, a team_member"

Task #5896 (closed)

Opened 9 years ago

Closed 9 years ago

Bug: web cache error

Reported by: jamoore Owned by: cneves
Priority: major Milestone: OMERO-Beta4.3.2
Component: Web Version: n.a.
Keywords: n.a. Cc: atarkowska, wmoore
Resources: n.a. Referenced By: n.a.
References: n.a. Remaining Time: 0.0d
Sprint: 2011-07-21 (1)

Description

Mon, 13 Jun 2011 15:23:41 webgateway   5692 DEBUG    c=1|0:255$FF0000,2|0:255$00FF00,3|0:255$0000FF
Mon, 13 Jun 2011 15:23:41 webgateway   5692 DEBUG    [1, 2, 3],[[0.0, 255.0], [0.0, 255.0], [0.0, 255.0]],[u'FF0000', u'00FF00', u'0000FF']
Mon, 13 Jun 2011 15:23:41 webgateway   8048 DEBUG    c=1|0:255$FF0000,2|0:255$00FF00,3|0:255$0000FF
Mon, 13 Jun 2011 15:23:41 webgateway   8048 DEBUG    [1, 2, 3],[[0.0, 255.0], [0.0, 255.0], [0.0, 255.0]],[u'FF0000', u'00FF00', u'0000FF']
Mon, 13 Jun 2011 15:23:41 webgateway   6092 DEBUG    :: (session) jmoore localhost 4064
Mon, 13 Jun 2011 15:23:41 webgateway   6092 DEBUG    :: (request) None None None
Mon, 13 Jun 2011 15:23:41 webgateway   6092 DEBUG    trying stored connection with userAgent: OMERO.webgateway  ckey: S:62589c7d-504c-4411-8d8d-8ddba7ff7b88#1
Mon, 13 Jun 2011 15:23:41 webgateway   6092 DEBUG    [('S:7eb3afaf-5b8c-431f-8728-9cd9963b95fd#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x0392E890>), ('S:0f36018b-0d54-4dca-91c3-12ad04f59f14#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x03B92390>), ('S:9926541f-73af-4c06-ad79-2d50ee6ecb71#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x043215F0>), ('S:62589c7d-504c-4411-8d8d-8ddba7ff7b88#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x076DDEF0>), ('S:b23838b1-e3cd-4e53-a028-bc81e48142ea#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x03A904B0>)]
Mon, 13 Jun 2011 15:23:41 cache        5692 DEBUG      fail: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,14,2,256,256
Mon, 13 Jun 2011 15:23:41 cache        8048 DEBUG      fail: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,15,2,256,256
Mon, 13 Jun 2011 15:23:41 cache        6256 DEBUG       set: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,12,2,256,256
Mon, 13 Jun 2011 15:23:41 webgateway   6092 DEBUG    c=1|0:255$FF0000,2|0:255$00FF00,3|0:255$0000FF
Mon, 13 Jun 2011 15:23:41 webgateway   6092 DEBUG    [1, 2, 3],[[0.0, 255.0], [0.0, 255.0], [0.0, 255.0]],[u'FF0000', u'00FF00', u'0000FF']
Mon, 13 Jun 2011 15:23:41 cache        8048 DEBUG       set: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,15,2,256,256
Mon, 13 Jun 2011 15:23:41 cache        5692 DEBUG       set: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,14,2,256,256
Mon, 13 Jun 2011 15:23:41 cache        7760 DEBUG      fail: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,13,2,256,256
Mon, 13 Jun 2011 15:23:41 cache        6092 DEBUG      fail: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,15,3,256,256
Mon, 13 Jun 2011 15:23:41 cache        7760 DEBUG       set: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,13,2,256,256
Mon, 13 Jun 2011 15:23:41 webgateway   6256 DEBUG    :: (session) jmoore localhost 4064
Mon, 13 Jun 2011 15:23:41 webgateway   6256 DEBUG    :: (request) None None None
Mon, 13 Jun 2011 15:23:41 webgateway   6256 DEBUG    trying stored connection with userAgent: OMERO.webgateway  ckey: S:62589c7d-504c-4411-8d8d-8ddba7ff7b88#1
Mon, 13 Jun 2011 15:23:41 webgateway   6256 DEBUG    [('S:7eb3afaf-5b8c-431f-8728-9cd9963b95fd#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x04072450>), ('S:0f36018b-0d54-4dca-91c3-12ad04f59f14#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x06E6BCD0>), ('S:9926541f-73af-4c06-ad79-2d50ee6ecb71#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x06DB0C50>), ('S:62589c7d-504c-4411-8d8d-8ddba7ff7b88#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x03C10490>), ('S:b23838b1-e3cd-4e53-a028-bc81e48142ea#1', <webclient.webclient_gateway.OmeroWebGateway object at 0x03A9C9F0>)]
Mon, 13 Jun 2011 15:23:41 webgateway   6256 DEBUG    c=1|0:255$FF0000,2|0:255$00FF00,3|0:255$0000FF
Mon, 13 Jun 2011 15:23:41 webgateway   6256 DEBUG    [1, 2, 3],[[0.0, 255.0], [0.0, 255.0], [0.0, 255.0]],[u'FF0000', u'00FF00', u'0000FF']
Mon, 13 Jun 2011 15:23:41 cache        6092 DEBUG       set: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,15,3,256,256
Mon, 13 Jun 2011 15:23:42 cache        6256 DEBUG      fail: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,15,4,256,256
Mon, 13 Jun 2011 15:23:42 cache        6256 DEBUG       set: img_None/4901/0x0-c1-0:255-FF0000-2-0:255-00FF00-3-0:255-0000FF-mc-q0.9-r-t0,15,4,256,256

Change History (9)

comment:1 Changed 9 years ago by atarkowska

  • Resolution set to invalid
  • Status changed from new to closed

You need to set $ bin/omero config set omero.web.webgateway_cache "../../../var/weblitz_cache"
We could possibly improve the error, or highlight it on the doc.

comment:2 Changed 9 years ago by jmoore

  • Resolution invalid deleted
  • Status changed from closed to reopened

Re-opening for the update of the install_web page for Windows. Would it be possible to have a sensible default? The less that users have to configure, the better.

comment:3 Changed 9 years ago by atarkowska

  • Resolution set to fixed
  • Status changed from reopened to closed

We will review default settings, documentation was updated

comment:4 Changed 9 years ago by cneves

  • Resolution fixed deleted
  • Status changed from closed to reopened

IIS deploys on windows have the current pwd for the worker set to a directory under inetserv, not the omeroweb path like on apache or nginx on linux and mac. As such we need to provide an absolute path.

Windows slash styled paths will not work currently, but the fix is really simple (adding a normpath).

But webgateway_cache is not working at all on windows, and needs to be tested on linux, as the client_base (server_id) is not being correctly passed through.

comment:5 Changed 9 years ago by jburel

  • Milestone changed from OMERO-Beta4.3 to OMERO-Beta4.3.1
  • Sprint changed from 2011-06-16 (14) to 2011-06-30 (1)

Moved from sprint 2011-06-16 (14)

comment:6 Changed 9 years ago by cneves

  • Remaining Time set to 0.5

comment:7 Changed 9 years ago by Carlos Neves <carlos@…>

(In [d8c06ecf52cc9fccaf403b43fcd2970a77f955e5/ome.git] on branch develop) Fixing server_id suffix on webgateway_cache (see #5896).

Also refactoring webclient's render_thumbnail a bit to allow it to use webgateway_cache.

comment:8 Changed 9 years ago by jburel

  • Milestone changed from OMERO-Beta4.3.1 to OMERO-Beta4.3.2
  • Sprint changed from 2011-07-07 (1) to 2011-07-21 (1)

Moved from sprint 2011-07-07 (1)

comment:9 Changed 9 years ago by cneves

  • Remaining Time changed from 0.5 to 0
  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets. You may also have a look at Agilo extensions to the ticket.

1.3.13-PRO © 2008-2011 Agilo Software all rights reserved (this page was served in: 0.119469 sec.)

We're Hiring!